Log4j2 - Java8, Java9


#1

Hallo,

wie ich sehe, ist Apache seit längerem dabei, log4j2 für Java 9 anzubieten.
Weiß jemand, ob die trotz alledem die Java8 Version weiterhin supporten oder
hört diese nun bei Version 2.8.2 auf? Es ist ja nicht so, dass ich etwas gegen Jva 9 habe.
Ich freue mich sogar, aber alles umzustellen bekommt man nicht gestemmt. Gerade in der Java EE Welt
ist das alles bissl zu viel.

Steven


#2

Knappe Antwort von hier:
https://logging.apache.org/log4j/2.x/runtime-dependencies.html

As of version 2.9.1 Log4j supports Java 9 but will still work in Java 7 or 8.

Die aktuellsten Versionen laufen also selbst noch mit Java 7.


#3

Naja, eben ja nicht.
Die Versionen ab 2.9.0 laufen eben nicht mehr mit zB. dem Weblogic und JavaEE 6 zusammen.
Es sei denn, du hättest einen Tip für mich, wie man die Applikationen ohne Workaround deployed bekommt…

Die komplette Umstellung auf Java 9 wird die Hölle werden, dass weiß ich jetzt schon. :smiley:

Steven


#4

Das hat dann aber eher etwas mit dem Appserver zu tun als damit, dass log4j2 inkompatibel zu den älteren Versionen geworden ist. Praxistipps kann ich aber leider auch nicht bieten. :thinking:


#5

Dank dir. Wenn ich etwas finde, geb ich gern Bescheid.